Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class PortletContext

    java.lang.Object
      org.jboss.portal.wsrp.core.PortletContext

All Implemented Interfaces:
  java.io.Serializable

    public class PortletContext

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected java.lang.String` | `portletHandle`
`protected byte[]` | `portletState`

Constructor Summary
`PortletContext()`
`PortletContext(java.lang.String portletHandle, byte[] portletState, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`java.lang.String` | `getPortletHandle()`
`byte[]` | `getPortletState()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setPortletHandle(java.lang.String portletHandle)`
`void` | `setPortletState(byte[] portletState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletHandle

    protected java.lang.String portletHandle

### portletState

    protected byte[] portletState

### extensions

    protected Extension[] extensions

Constructor Detail

### PortletContext

    public PortletContext()

### PortletContext

    public PortletContext(java.lang.String portletHandle,
                          byte[] portletState,
                          Extension[] extensions)

Method Detail

### getPortletHandle

    public java.lang.String getPortletHandle()

### setPortletHandle

    public void setPortletHandle(java.lang.String portletHandle)

### getPortletState

    public byte[] getPortletState()

### setPortletState

    public void setPortletState(byte[] portletState)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD